
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>那些Python意想不到的对象 / iVAN</title>

    <meta name="description" content="那些Python意想不到的对象 本文选自&lt;从Python开始学编程&gt;,我们来看看Python那些意想不到的对象. 1.循环对象 Python 中的许多语法结构都是由对象实现的,循环就可以通过对象实现.循环对象并不是在Python 诞生之初就存在的,但它的发展极为迅速,特别是在Python 3 时代,循环对象正在成为循环的标准形式. 那么,什么是循环对象呢?所谓的循环对象包含有一个__next__()方法1.这个方法的目的是生成循环的下一个结果.在生成过循环的所有结果之后,该方法将抛出StopIteration 异常 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">那些Python意想不到的对象</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文选自《从Python开始学编程》，我们来看看Python那些意想不到的对象。<br /><a href="http://img.blog.csdn.net/20161128153014888" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjExMjgxNTMwMTQ4ODg=.jpg"></a></p>
<h1>1.循环对象</h1>
<p>Python 中的许多语法结构都是由对象实现的，循环就可以通过对象实现。循环对象并不是在Python 诞生之初就存在的，但它的发展极为迅速，特别是在Python 3 时代，循环对象正在成为循环的标准形式。<br />
那么，什么是循环对象呢？所谓的循环对象包含有一个__next__()方法1。这个方法的目的是生成循环的下一个结果。在生成过循环的所有结果之后，该方法将抛出StopIteration 异常。<br />
当一个像for 这样的循环语法调用循环对象时，它会在每次循环的时候调用__next__()方法，直到StopIteration出现。循环接收到这个异常，就会知道循环已经结束，将停止调用__next__()。<br />
我们用内置函数iter()把一个列表转变为循环对象。这个循环对象将拥有__next__()方法。我们多次调用__next__()方法，将不断返回列表的值，直到出现异常：</p>
<pre><code>&gt;&gt;&gt;example_iter = iter([1, 2])
&gt;&gt;&gt;example_iter.__next__() # 显示1
&gt;&gt;&gt;example_iter.__next__() # 显示2
&gt;&gt;&gt;example_iter.__next__() # 出现StopIteration 异常。
</code></pre>
<p>我们上面重复调用__next__()的过程，就相当于手动进行了循环。我们可以把循环对象包裹在for 中自动进行循环：</p>
<pre><code>for item in iter([1, 2]):
    print(item)
</code></pre>
<p>在这里，for 结构自动调用 <strong>next</strong>()　方法，将该方法的返回值赋予给item。循环知道出现StopIteration 的时候结束。当然，我们可以省去内置函数iter 的转换。这是因为，for 结构会自动执行这一转换。<br />
相对于序列，循环对象的好处在于：不用在循环还没开始的时候，就生成要使用的元素。所有要使用的元素可以在循环过程中逐渐生成。这样，不仅节省了空间，提高了效率，还会使编程更加灵活。<br />
我们可以借助生成器（generator）来自定义循环对象。生成器的编写方法和函数定义类似，只是在return 的地方改为yield。生成器中可以有多个yield。当生成器遇到一个yield 时，会暂停运行生成器，返回yield后面的值。当再次调用生成器的时候，会从刚才暂停的地方继续运行，直到下一个yield。生成器自身又构成一个循环对象，每次循环使用一个yield 返回的值。<br />
下面是一个生成器：</p>
<pre><code>def gen():
    a = 100
    yield a
    a = a*8
    yield a
    yield 1000
</code></pre>
<p>该生成器共有三个yield， 如果用作循环对象时，会进行三次循环。</p>
<pre><code>for i in gen():
    print(i)
</code></pre>
<p>再考虑下面一个生成器:</p>
<pre><code>def gen():
    i = 0
    while i &lt; 10000000:
        i = i + 1
        yield i
</code></pre>
<p>这个生成器能产生10 000 000 个元素。如果先创建序列保存这10 000 000 个元素，再循环遍历，那么这个序列将占用大量的空间。出于同样的原因，Python 中的内置函数range()返回的是一个循环对象，而不是一个序列。</p>
<h1>2.函数对象</h1>
<p>前面说过，在Python 中，函数也是一种对象。实际上，任何一个有__call__()特殊方法的对象都被当作是函数。比如下面的例子：<br />
前面说过，在Python 中，函数也是一种对象。实际上，任何一个有__call__()特殊方法的对象都被当作是函数。比如下面的例子：</p>
<pre><code>class SampleMore(object):
    def __call__(self, a):
        return a + 5
add_five = SampleMore() # 生成函数对象
print(add_five(2)) # 像一个函数一样调用函数对象，结果为7。
</code></pre>
<p>add_five 为SampleMore 类的一个对象，当被调用时，add_five 执行加5 的操作。</p>
<h1>3.模块对象</h1>
<p>前面说过，Python 中的模块对应一个.py文件。模块也是对象。比如，我们直接引入标准库中的模块time：</p>
<pre><code>import time

print(dir(time))
</code></pre>
<p>可以看到，time 有很多属性可以调用，例如sleep()方法。我们之前用import 语句引入其他文件中定义的函数，实际上就是引入模块对象的属性，比如：</p>
<pre><code>from time import sleep

sleep(10)
print("wake up")
</code></pre>
<p>模块time 的sleep()会中止程序。调用时的参数说明给了中止的时间。我们还可以用简单暴力的方法，一次性引入模块的所有属性：</p>
<pre><code>from time import *
sleep(10)
</code></pre>
<p>既然知道了sleep()是time的一个方法，那么我们当然可以利用对象.属性的方式来调用它。</p>
<pre><code>import time
time.sleep(10)
</code></pre>
<p>我们在调用方法时附带上了对象名。这样做的好处是可以拓展程序的命名空间，避免同名冲突。例如，如果两个模块中都有sleep()方法，那么我们可以通过不一样的模块名来区分开来。在my_time.py 中写入函数：</p>
<pre><code>def sleep(self):
    print("I am sleeping.")
</code></pre>
<p>在main.py 中引入内置模块time 和自定义模块my_time：</p>
<pre><code>import time
import my_time

time.sleep()
my_time.sleep()
</code></pre>
<p>上面的两次对sleep()方法的调用中，我们通过对象名区分出了不同的sleep()。 在引入模块时，我们还可以给模块换个名字：</p>
<pre><code>import time as t
t.sleep(10)
</code></pre>
<p>在引入名字较长的模块时，这个换名字的办法能有效地挽救程序员的手指。 可以将功能相似的模块放在同一个文件夹中，构成一个模块包。比如放在this_dir 中：</p>
<pre><code>import this_dir.module
</code></pre>
<p>引入this_dir 文件夹中的module 模块。 该文件夹中必须包含一个__init__.py 的文件，提醒Python，该文件夹为一个模块包。init.py 可以是一个空文件。 每个模块对象都有一个__name__属性，用来记录模块的名字，例如：</p>
<pre><code>import time

print(time.__name__)
</code></pre>
<p>当一个.py 文件作为主程序运行时，比如python foo.py，这个文件也会有一个对应的模块对象。但这个模块对象的__name__属性会是"main"。因此，我们在很多.py 文件中可以看到下面的语句：</p>
<pre><code>if <strong>name</strong> == "__main__"：
    ...
</code></pre>
<p>它的意思是说，如果这个文件作为一个主程序运行，那么将执行下面的操作。有的时候，一个.py 文件中同时有类和对象的定义，以及对它们的调用。当这些.py 文件作为库引入时，我们可能并不希望执行这些调用。通过把调用语句放到上面的if 中，就可以在调用时不执行这些调用语句了。</p>
<h1>4.异常对象</h1>
<p>前面我们提到过，可以在程序中加入异常处理的try 结构，捕捉程序中出现的异常。实际上，我们捕捉到的也是一个对象，比如：</p>
<pre><code>try:
    m = 1/0
except ZeroDivisionError as e:
    print("Catch NameError in the sub-function")

print(type(e)) # 类型为"exceptions.ZeroDivisionError"
print(dir(e)) # 异常对象的属性
print(e.message) # 异常信息integer division or modulo by zero
</code></pre>
<p>利用except… as… 的语法，我们在except 结果中用e 来代表捕获到 的类型对象。关键字except 直接跟随的ZeroDivisionError 实际上是异常 对象的类。正因为如此，我们在举出异常时会创建一个异常对象：</p>
<pre><code>raise ZeroDivisionError()
</code></pre>
<p>在Python 中，循环、函数、模块、异常都是某种对象。当然，我们可以完全按照面向过程中的方式来调用这些语法，而不必关注它们底层的对象模型。但出于学习的目的，这些语法结构的对象模型能加深我们对Python 的理解。</p>
<p>想及时获得更多精彩文章，可在微信中搜索“博文视点”或者扫描下方二维码并关注。<br /><a href="http://img.blog.csdn.net/20161128135240324" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjExMjgxMzUyNDAzMjQ=.jpg"></a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 09:05:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/python%e5%bc%82%e5%b8%b8/" title="python异常">python异常</a>, <a href="https://www.iamivan.net/tag/python%e5%af%b9%e8%b1%a1/" title="python对象">python对象</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>那些Python意想不到的对象的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOaeYvM.html" rel="bookmark">帮Python找&OpenCurlyDoubleQuote;对象&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				类 说是要&quot;找对象&quot;,我们第一个看的却是个叫作&quot;类&quot;的语法结构.这里的类其实和我们日常生活中的&quot;类&quot;的概念差不多.日常生活中,我们把相近的东西归为一类,而且给这个类起一个名字.比如说,鸟类的共同属性是有羽毛,通过产卵生育后代.任何一只特别的鸟都是建立在鸟类的原型基础上的. 下面我们用Python 语言来记录上面的想法,描述鸟类: class Bird(object): feather = True reproduction = &quot;egg			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7aaqp.html" rel="bookmark">SQLObject v1&period;1发布 Python数据库对象映射框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQLObject 1.1.0 发布,SQLObject 是一个流行的Python 数据库对象映射框架,映射的规则就是表-&gt;类.字段-&gt;属性. 过提供用于操作数据库表的类和对象,对象关系映射工具有助于提高生产率.Python 最好的对象关系映射工具是 SQLObject -- 一个开放源码项目,它几乎完成编程数据库所需的所有操作.本文介绍 SQLObject 及其功能.阅读本文后,您将能够不编写任何 SQL 代码而连接 Python 与数据库. 当面向对象编程范例满足大多数数据库的关系范例时,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVA9qz.html" rel="bookmark">Python中对象迭代与反迭代的技巧总结&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.如何实现可迭代对象和迭代器对象? 实际案例 某软件要求从网络抓取各个城市气味信息,并其次显示: 北京: 15 ~ 20 天津: 17 ~ 22 长春: 12 ~ 18 ...... 如果一次抓取所有城市天气再显示,显示第一个城市气温时,有很高的延时,并且浪费存储空间,我们期望以用时访问的策略,并且把所有城市气温封装到一个对象里,可用for语句进行迭代,如何解决? 解决方案 实现一个迭代器对象Weatherlterator,next方法每次返回一个城市气温,实现一个可迭代对象Weatherlt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKLgkdM.html" rel="bookmark">Python 不同对象比较大小示例探讨&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				万恶的源泉: Fireboo的疑问(当然 lambda 本身写的就有问题): &gt;&gt;&gt; filter( lambda x: x &gt; 2, [ 1, [ 1, 2, 3 ], 2, 3 ] ) [[1, 2, 3], 3] ?: &gt;&gt;&gt; 1 &lt; [ 1 ] True &gt;&gt;&gt; int &lt; list True &gt;&gt;&gt; dict &lt; int &lt; list True &gt;&gt;&gt; int &lt; map			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6k1mAp.html" rel="bookmark">SQLObject 1&period;1&period;3发布 Python数据库对象关系映射</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQLObject是一个Python数据库对象关系映射.例如:一个库将在Python类中包裹你的数据库表.目前通过MySQLdb包支持MySQL,通过psycopg包支持PostgreSQL,SQLite,Firebird,MaxDB (SAP DB),MS SQL和Sybase.也支持Python 2.4版本. SQLObject 1.1.3版本修复了http://www.aliyun.com/zixun/aggregation/14171.html&quot;&gt;Postgres中的bug. 范例			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvvKO6M.html" rel="bookmark">python 打印对象的所有属性值的方法&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下所示: def prn_obj(obj): print '\n'.join(['%s:%s' % item for item in obj.__dict__.items()]) 以上这篇python 打印对象的所有属性值的方法就是小编分享给大家的全部内容了,希望能给大家一个参考,也希望大家多多支持. 以上是小编为您精心准备的的内容,在的博客.问答.公众号.人物.课程等栏目也有的相关内容,欢迎继续使用右上角搜索按钮进行搜索python 打印对象属性 python打印对象属性.python 打印			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLm390z.html" rel="bookmark">完全理解Python迭代对象、迭代器、生成器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在了解Python的数据结构时,容器(container).可迭代对象(iterable).迭代器(iterator).生成器(generator).列表/集合/字典推导式(list,set,dict comprehension)众多概念参杂在一起,难免让初学者一头雾水,我将用一篇文章试图将这些概念以及它们之间的关系捋清楚. 容器(container) 容器是一种把多个元素组织在一起的数据结构,容器中的元素可以逐个地迭代获取,可以用in, not in关键字判断元素是否包含在容器中.通常这类数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwWX2vz.html" rel="bookmark">深入了解Python字符串对象的实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文介绍了 python 内部是如何管理字符串对象,以及字符串查找操作是如何实现的. PyStringObject 结构体 Python 中的字符串对象在内部对应一个名叫 PyStringObject 的结构体.&quot;ob_shash&quot; 对应字符串经计算过的 hash值, &quot;ob_sval&quot; 指向一段长度为 &quot;ob_size&quot; 的字符串,且该字符串以'null'结尾(为了兼容C).&quot;ob_sval&quot;的初始大小为1个字节,且 ob_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDk0VLp.html" rel="bookmark">Python迭代对象、迭代器、生成器理解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在了解Python的数据结构时,容器(container).可迭代对象(iterable).迭代器(iterator).生成器(generator).列表/集合/字典推导式(list,set,dict comprehension)众多概念参杂在一起,难免让初学者一头雾水,我将用一篇文章试图将这些概念以及它们之间的关系清楚. relations 容器(container) 容器是一种把多个元素组织在一起的数据结构,容器中的元素可以逐个地迭代获取,可以用in, not in关键字判断元素是否包含在容			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqqraM.html" rel="bookmark" class="title">Photoshop 图层样式制作双色字</a>
					<div>
						些日子学习cloudy[Photoshop杂谈II]立体感,一不小心用图层样式得到双色字效果,觉得有颇有应用价值,所以介绍给大家. 用图层样式作双色字 双色字是一种常见的文字特效,其制作方法有很多,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2Ox4M.html" rel="bookmark" class="title">从Web Services中访问服务器变量</a>
					<div>
						services|web|变量|访问|服务器 在新闻组中最经常被问到的问题就是&quot;如何从一个web Services(Web服务)内部获取客户浏览器的IP地址?&quot; 这个问题的答案非常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbar5gM.html" rel="bookmark" class="title">宽带连接设置图解</a>
					<div>
						一.我是在Windows 2003下配置的,在xp及其它版本的windows系统中设置也与其类似. 正常情况下,首先应该打开&quot;设备管理器&quot;检查一下网卡驱动有没有装上去,操作路径为: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxZZjb.html" rel="bookmark" class="title">MFC架构下的DirectX8</a>
					<div>
						第一章 MFC框架 (DX8MFC) 这里的MFC框架指的是一个符合游戏开发应用的框架,当然你也可以写一个符合你要求的MFC框架.如果你对MFC比较熟悉的话可以直接从第二章开始阅读.本框架是以后几个例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2eNep.html" rel="bookmark" class="title">功能强大的php文件管理器ajaxplorer使用图文教程</a>
					<div>
						由于在VPS上安装FTP总是失败,需要一个可以通过Web进行文件管理的工具.AjaXplorer是一个在PHP中运行的文件管理系统,功能的强大以及界面的华丽实在是第一次见到. 官方网站:http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEwnNb.html" rel="bookmark" class="title">iSee秀出年轻MM午后迷茫心情效果</a>
					<div>
						MM拍的照片记录着每一刻的心情.每时每刻的心情都是不同的.怎么样把自己的心情写在照片上,留下永恒的回忆呢?用iSee的&quot;心情文字&quot;就可以轻松实现,秀出MM们任何快乐或者迷茫的心情. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjgGnp.html" rel="bookmark" class="title">搜狗输入法怎么设置手写？</a>
					<div>
						  搜狗输入法怎么设置手写?搜狗手机输入法怎么切换手写是很多朋友在问的,小编一般是适用搜狗手机输入法的拼音输入,但是很多朋友还是喜欢手写的,下面就和三联小编一起来详细了解一下搜狗手机输入法怎么切换手写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBgwDz.html" rel="bookmark" class="title">Photoshop上最容易混淆用途的四组工具</a>
					<div>
						  Photoshop是非常强大的修图工具,有很多方便的功能让你完成不同的工作,而有部份功能由于分别很小(以进行更精细的处理),所以不少新手使用起来都没有特别区分.其实只要达到目的也没有所谓,但如果你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGm45b.html" rel="bookmark" class="title">Windows 8多显示器模式详解</a>
					<div>
						  此为MSDN今天发表的有关Windows 8与多显示器支持的文章,作者Steven Sinofsky,以下为全文翻译:当把人们使用连接多台显示器的电脑时,体验的满意度就会上升.一个多显示器的运作模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjeyjb.html" rel="bookmark" class="title">Win7系统音量调节动画的绿色竖条不见了如何找回</a>
					<div>
						  1.首先鼠标右击电脑桌面上的&quot;计算机&quot;图标选择&quot;属性&quot;,然后点击窗口左侧的&quot;高级系统设置&quot;项; 2.在打开的系统属性窗口中,切换到&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBjw8z.html" rel="bookmark" class="title">安卓模拟器bluestacks怎么安装？</a>
					<div>
						  安卓模拟器bluestacks安装图文教程来啦~安卓模拟器bluestacks能够实现将手机端的应用能够很好的在电脑上使用,那么安卓模拟器bluestacks要怎么安装呢?下文小编就教大家安卓模拟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB48Lz.html" rel="bookmark" class="title">KMPlayer播放英文减速不变调的使用教程</a>
					<div>
						  KMPlayer播放英文减速不变调的使用教程        一.小试牛刀 1.KMPlayer这款常用多媒体播放软件就支持语音变速功能,可直接用它来调节播放速度.笔者觉得调节到70%可在播放效果和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72qn5p.html" rel="bookmark" class="title">cpu风扇怎么拆下来</a>
					<div>
						  CPU风扇拆和安装方法 如图所示,两边各有一个可以往下压的铁条,中间是一根弹簧钢条连接.原理就是两边的铁条下压,铁条下方的方口挂到CPU底座的的挂钩上,从而两根铁条和中间的弹簧钢条一起把散热装置固 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8PPab.html" rel="bookmark" class="title">游戏外挂网站暗藏病毒：下个外挂，电脑秒变&OpenCurlyDoubleQuote;毒窝&rdquo;</a>
					<div>
						本文讲的是游戏外挂网站暗藏病毒:下个外挂,电脑秒变&quot;毒窝&quot;, 一.综述 近期,火绒安全团队截获一批捆绑在&lt;地下城与勇士&gt;游戏外挂上的首页劫持病毒.根据技术分析追溯,我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNErrM.html" rel="bookmark" class="title">使用 Xtrabackup 在线对MySQL做主从复制</a>
					<div>
						1. 说明 1.1 xtrabackup mysqldump对于导出10G以下的数据库或几个表,还是适用的,而且更快捷.一旦数据量达到100-500G,无论是对原库的压力还是导出的性能,mysqldu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6YLJM.html" rel="bookmark" class="title">RxJava中操作符到底做了什么？</a>
					<div>
						RxJava今年彻底火了一把,其中最牛逼之处就是操作符了,以前只知道怎么用,这几天看了看源码,大致的弄清楚了操作符的工作过程,今天分享给大家.如果有什么不对地方,请大家多多指教. 今天我们已filte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3gwvz.html" rel="bookmark" class="title">ios-sdk顺序和拖拽播放歌曲</a>
					<div>
						问题描述 sdk顺序和拖拽播放歌曲 使用AVAudioPlayer播放歌曲,有一个MPMediaItem的数组,我想要通过顺序和拖拽播放. 代码: AVAudioPlayer *player2; MP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPawlp.html" rel="bookmark" class="title">2016年手机恶意软件演变分析报告（二）</a>
					<div>
						本文讲的是2016年手机恶意软件演变分析报告(二), 统计 在2016年,手机恶意安装软件包数量大幅增长,达到8,526,221个--是上一年的三倍.作为比较,从2004年到2013年,我们检测到超过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6k3az.html" rel="bookmark" class="title">Android 解决图片大量下载：软引用必须懂4点</a>
					<div>
						Android 解决图片大量下载:软引用必须懂4点   可能对于Android开发者来说,软引用这个词有的会不是很熟悉,软引用在Java开发中用的比较多,但是,在Android开发中引用软引用,会给我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AVk3z.html" rel="bookmark" class="title">简述DBSeer的算法</a>
					<div>
						据Gigaom的Jordan Novet报道,有麻省理工的研究者已经开发出了一种名叫DBSeer的算法.该算法可以提高云数据库的性能,减少用户对于成本的需求. 以下是我做的简述: 上述的算法,目的是为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZklRz.html" rel="bookmark" class="title">史蒂夫&bull;沃兹尼亚克：iWatch将复制iPhone辉煌</a>
					<div>
						史蒂夫•沃兹尼亚克: iWatch将复制iPhone辉煌8月29日,据CNET网站报道,苹果联合创始人史蒂夫•沃兹尼亚克(以下简称为&quot;沃兹&quot;)对苹果iWatch智能手表信心十足,称 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1V29z.html" rel="bookmark" class="title">Dev 坐标问题</a>
					<div>
						问题描述 如图,如何把横坐标设置成只有一个,并且横坐标的显示不要那么密集!(我是动态添加Pane的)					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1wOKz.html" rel="bookmark" class="title">中国网络监察查办处为诈骗团伙被警方打掉</a>
					<div>
						本报北京3月27日讯记者卢杰记者今天从公安部获悉,北京.海南等地警方26日打掉了一个利用虚假报警网站实施诈骗的犯罪团伙,抓获吴某等4名http://www.aliyun.com/zixun/aggre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJWQ9p.html" rel="bookmark" class="title">机器学习会成为2017年大数据&ZeroWidthSpace;分析的瓦解者吗？</a>
					<div>
						新旧年份交接总让人心绪万千--感情中混合了乐观和焦虑.同时这也是一个回顾.反思和对未来进行预测的契机. 2016年发生了许多关于人工智能(AI)的&quot;第一次&quot;:特斯拉的自动驾驶系统第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqgVDp.html" rel="bookmark" class="title">浅谈在软件开发中的开发与测试</a>
					<div>
						我们知道开发人员与测试人员在某种程度上可以说是冤家对头,因为开发总是认为我做的产品是完美无缺的,没有Bug的,但是测试总是想方设法给你挑刺,因而产生了&quot;矛盾&quot;.很多公司对开发的绩效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK3o9p.html" rel="bookmark" class="title">【阿里招聘】应聘阿里必读秘籍</a>
					<div>
						正在匆忙写简历,不知怎么写更好? 万一顺利进入面试,该注意点什么? 阿里需要的人才是什么样子的? -- 阿里橙子电台和校招君分别邀请了 一位技术面试官和一位HR 亲授阿里校招的应聘宝典 同学,收好不谢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QZmDp.html" rel="bookmark" class="title">ajax中文乱码各种解决办法总结</a>
					<div>
						 由于XMLHTTP采用的是Unicode编码上传数据,而一般页面采用的是gb2312,这就造成显示页面时产生乱码.而当在获取页面时的XMLHttp返回的是utf-8编码,这就造成了显示产生乱码. 有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmR1xz.html" rel="bookmark" class="title">Javascript 5种方法实现过滤删除前后所有空格&lowbar;javascript技巧</a>
					<div>
						第一种:循环检查替换 //供使用者调用 function trim(s){ return trimRight(trimLeft(s)); } //去掉左边的空白 function trimLeft(s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWJmPz.html" rel="bookmark" class="title">Asp&period;Net MVC5入门学习系列⑥</a>
					<div>
						原文:Asp.Net MVC5入门学习系列⑥ 接着上次的篇幅,我们这篇手动来写一个查询的流程代码!     搜索/查询 流程功能的实现     那现在要做搜索(查询)功能我们第一步应该做什么呢!第一次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEY1N3b.html" rel="bookmark" class="title">VisionMobile：70&percnt;的智能家居开发人员是业余的</a>
					<div>
						目前有150万开发人员致力于智能家居解决方案.但是,智能家居市场仍然在努力从早期采用扩展成主流市场. 智能家居越来越火,至少,物联网开发人员这么认为.根据2015年第二季度的调查,1/3的开发人员(3 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
